{: test that a compilation error occurs when case constant ranges overlap }

program e1026( output );

var
   e :  integer;

begin { e1026 }

   e := 42;
   case e of
     50..60: writeln(' OK');
     49..61: writeln(' !!! illegal range');
   end; {case}
   writeln( 'case range error not detected' );
end. { e1026 }

